html {
    background-color: rgb(76, 76, 76) !important;
    height: calc(100% - env(safe-area-inset-bottom))!important;
}
body {
    -webkit-text-size-adjust: auto;
    height: 100%
}

.v-application--wrap {
    min-height: -webkit-fill-available;
}

.v-dialog__content {
    top: env(safe-area-inset-top);
    padding-bottom: env(safe-area-inset-bottom);
}
.v-dialog--fullscreen{
    top: env(safe-area-inset-top);
    padding-bottom: env(safe-area-inset-bottom);
}
/* Font */
@font-face {
    font-family: 'Roboto';
    src: url('../fonts/Roboto-Regular.ttf') format('truetype');
    font-weight: normal;
}

@font-face {
    font-family: 'Roboto';
    src: url('../fonts/Roboto-Bold.ttf') format('truetype');
    font-weight: bold;
}

html,
body {
    font-family: 'Roboto';
}

body {
    background: #E0E0E0 !important;
}

.ff-toolbar-extended .v-toolbar__content,
.ff-toolbar-extended .v-toolbar__extension {
    padding: 0 !important;
}

.v-expansion-panel-content__wrap {
    padding: 0 !important;
}

.v-expansion-panel--active > .v-expansion-panel-header {
    min-height: unset !important;
}

.v-parallax__content {
    padding: 0 !important;
}

.ff-app-header {
    height: auto !important;
    /*padding-top: constant(safe-area-inset-top) !important;*/
    /*padding-top: env(safe-area-inset-top) !important;*/
}
/*TODO verify on ios new changes  jan 24/21*/
.ff-app-footer {
    height: auto !important;
    padding-bottom: constant(safe-area-inset-bottom) !important;
    padding-bottom: env(safe-area-inset-bottom) !important;
}

.ff-alert .v-snack__content {
    padding: 0 !important;
}


.core-transparent {
    background: rgba(0, 0, 0, 0.4) !important;
}

.v-card__title {
    flex-wrap: unset;
    word-break: normal;
}

.v-banner__wrapper {
    border: 0 !important;
}

.ff-toolbar .v-toolbar__content,
.ff-toolbar .v-toolbar__extension {
    padding: 0 !important;
}

.ff-select .v-select__selection {
    max-width: 100% !important;
}
.ff-select .v-input__control {
    min-height: 40px !important;
}

/*.ff-toolbar-btn {*/
/*    padding: 4px !important;*/
/*    font-size: 12px !important;*/
/*    border-radius: 0 !important;*/
/*}*/

.ff-field-center input {
    text-align: center;
}

.ff-field .v-icon {
    font-size: 20px !important;
}

.ff-field .v-text-field__details {
    padding: 4px 0 4px 8px;
}

.ff-field.v-input {
    padding: 0 !important;
    margin: 0 !important;
}

.ff-field .v-input__append-outer {
    padding: 0 !important;
    margin: 0 !important;
}

.ff-field.v-input textarea,
.ff-field.v-input input {
    /* font-size: 14px !important; */
    /* padding: 8px !important; */
    /* Temp CSS */
    /* padding-left: 0 !important; */
}

.ff-field.v-input--is-disabled .v-label,
.ff-field.v-input--is-disabled input,
.ff-field.v-input--is-disabled textarea {
    color: hsla(0, 0%, 100%, .5);
}

.ff-field .v-select__selection--comma {
    width: 100% !important;
    display: block !important;
    /* padding-left: 8px !important;
    font-size: 14px !important; */
}

.ff-field .ff-spinner-value-label {
    width: 60px !important;
}

.ff-field .ff-label,
.ff-field .ff-spinner-value-label,
.ff-field .ff-label-small {
    /* font-size: 12px !important; */
    line-height: 16px !important;
}

.ff-field .ff-label.v-chip--label,
.ff-field .ff-spinner-value-label,
.ff-field .ff-label-small.v-chip--label {
    border-radius: 0 !important;
    border-top-right-radius: 4px !important;
    border-bottom-right-radius: 4px !important;
    min-height: 42px !important;
    height: auto !important;
}

.ff-field .ff-label {
    min-width: 150px !important;
    max-width: 200px !important;
}


.ff-field .v-input__append-inner {
    margin: 0 !important;
    /*margin-right: 4px !important;*/
    padding: 0 !important;
}


.v-text-field .v-input__append-inner {
    margin: 0 !important;
    align-self: center !important;
}

.v-text-field--box .v-input__slot,
.v-text-field--outlined .v-input__slot {
    min-height: 32px !important;
}

.v-text-field__slot textarea {
    margin: 0 !important;
}

.v-text-field__slot {
    overflow: auto;
}

.v-list {
    padding: 0 !important;
}


.v-banner__wrapper {
    padding: 0 !important;
}

.v-banner__content {
    padding: 0 !important;
}

.v-banner__text {
    width: 100% !important;
}


#app .ff-logo {
    /* width: 150px !important; */
    height: 1.7em !important;
    width: 200px;
    height: 2em;
    background-size: 100%;

}


.ff-blink {
    animation: blinker 1s linear infinite;
}

/*animations*/
@keyframes blinker {
    30% {
        opacity: 0;
    }
}

@-webkit-keyframes rotating /* Safari and Chrome */ {
    from {
        -webkit-transform: rotate(0deg);
        -o-transform: rotate(0deg);
        transform: rotate(0deg);
    }
    to {
        -webkit-transform: rotate(360deg);
        -o-transform: rotate(360deg);
        transform: rotate(360deg);
    }
}
@keyframes rotating {
    from {
        -ms-transform: rotate(0deg);
        -moz-transform: rotate(0deg);
        -webkit-transform: rotate(0deg);
        -o-transform: rotate(0deg);
        transform: rotate(0deg);
    }
    to {
        -ms-transform: rotate(360deg);
        -moz-transform: rotate(360deg);
        -webkit-transform: rotate(360deg);
        -o-transform: rotate(360deg);
        transform: rotate(360deg);
    }
}
.ff-spin {
    -webkit-animation: rotating 2s linear infinite;
    -moz-animation: rotating 2s linear infinite;
    -ms-animation: rotating 2s linear infinite;
    -o-animation: rotating 2s linear infinite;
    animation: rotating 2s linear infinite;
}


